<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Персонаж';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
if(empty($_GET[act])){
if($udata[lvl]<5){
$st="NG.gif";}
elseif($udata[lvl]>=5 and $udata[lvl]<10){
$st="D.gif";}
elseif($udata[lvl]>=10 and $udata[lvl]<15){
$st="C.gif";}
elseif($udata[lvl]>=15 and $udata[lvl]<20){
$st="B.gif";}
elseif($udata[lvl]>=20 and $udata[lvl]<25){
$st="A.gif";}
elseif($udata[lvl]>25 and $udata[lvl]<1000){
$st="S.gif";}
elseif($udata[lvl]>1000 and $udata[lvl]<2000){
$st="1.png";}
elseif($udata[lvl]>2000 and $udata[lvl]<3000){
$st="2.png";}
elseif($udata[lvl]>3000 and $udata[lvl]<4000){
$st="3.png";}
elseif($udata[lvl]>4000 and $udata[lvl]<5000){
$st="4.png";}
elseif($udata[lvl]>5000 and $udata[lvl]<6000){
$st="5.png";}
elseif($udata[lvl]>6000 and $udata[lvl]<7000){
$st="6.png";}
elseif($udata[lvl]>7000 and $udata[lvl]<8000){
$st="7.png";}
elseif($udata[lvl]>8000 and $udata[lvl]<9000){
$st="8.png";}
elseif($udata[lvl]>9000 and $udata[lvl]<10000){
$st="9.png";}

if($udata[klas]=="wizard"){$kl="m";$kln="Маг";}
if($udata[klas]=="fighert"){$kl="f";$kln="Воин";}
if($udata[lvl]<5){
$stat2="1.png'> Новичок";}
elseif($udata[lvl]>=5 and $udata[lvl]<10){
$stat2="2.png'> Воин";}
elseif($udata[lvl]>=10 and $udata[lvl]<15){
$stat2="3.png'> Рыцарь";}
elseif($udata[lvl]>=15 and $udata[lvl]<20){
$stat2="4.png'> Неодолимый";}
elseif($udata[lvl]>=20 and $udata[lvl]<25){
$stat2="5.png'> Легенда";}
elseif($udata[lvl]>25 and $udata[lvl]<1000){
$stat2="6.png'> Титан";}
elseif($udata[lvl]>1000){
$stat2="7.png'> Бог";}

echo"<i><img src='pic/i/$stat2,$log</i></br>";
if($udata[rasa]=="human"){$ra="human";$rasa="Человек";}
if($udata[rasa]=="elf"){$ra="elf";$rasa="Эльф";}
if($udata[rasa]=="ork"){$ra="ork";$rasa="Орк";}
if($udata[rasa]=="gnom"){$ra="gnom";$rasa="Гном";}
echo"Раса:<i> $rasa</i></br>";
if($udata[storona]=="white"){echo" Светлый ";}
if($udata[storona]=="black"){echo" Тёмный ";}
echo $kln;
echo",$udata[lvl] ур. ";
if($udata[pol]=="m"){echo" <img src='pic/m.png'></br>";}else{echo" <img src='pic/w.png'></br>";}
if(!empty($udata[clan])){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req);

echo"<img src='pic/123/um.png'> В клане  <a href=\"clan.php?id=$clan[id]\">$clan[name]</a><br/>";
}else{echo"";}

$req = mysql_query("SELECT id,name FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
echo"<img src='pic/main/pit.gif'> <i>Питомец: </i><a href=\"pit.php?id=$pit[id]\">$pit[name]</a><br/>";
}

echo"<br/><img src='pic/avatar/$ra/$kl/$udata[pol]/$st'/><br/><br/>";
echo"";
if($udata[skill]>0){echo"<img src='pic/up.png'> <i>Очки: </i>".$udata[skill]."<br/>";}
echo"<img src='pic/main/general.png'> <i>Опыт:</i> $udata[exp]<br/>";
//Модификация, кол-во опыта на следующий уровень
if($udata[lvl] == 0)
{
$o = 200;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 1)
{
$o = 500;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 2)
{
$o = 1000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 3)
{
$o = 1750;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 4)
{
$o = 2750;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 5)
{
$o = 4000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 6)
{
$o = 7000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 7)
{
$o = 11955;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 8)
{
$o = 16851;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 9)
{
$o = 22973;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 10)
{
$o = 30475;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 11)
{
$o = 45000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 12)
{
$o = 60000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 13)
{
$o = 90000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 14)
{
$o = 120000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 15)
{
$o = 160000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 16)
{
$o = 210000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 17)
{
$o = 290000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 18)
{
$o = 390000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 19)
{
$o = 500000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 20)
{
$o = 750000;
$nlvl = $o-$udata[exp];
}
if($udata[lvl] == 21)
{
$o = 1000000;
$nlvl = $o-$udata[exp];
}




//Конец модификации
echo"<img src='pic/up.png'> <i>До след. уровня: </i>$nlvl";
echo"<br/>";
echo"<img src='pic/money_gold.png'> <i>Монет: </i>$udata[money]<br/>";
echo"<img src='pic/almaz.png'> <i>Алмазов: </i>$udata[almaz]<br/>";
echo"<img src='pic/hp.png'> <i>Жизни:</i> $udata[hp]/$udata[hpall]";if($udata[skill]>0){
echo" </a>";
}echo'<br/>';
echo"<img src='pic/mp.png'> <i>Мана: </i>$udata[mp]/$udata[mpall]";if($udata[skill]>0){
echo" </a>";
}echo'<br/>';





echo'';
echo"
<img src='pic/123/nap.png'> <i>Сила: </i>$udata[sila]";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';

echo"<img src='pic/123/lovk.png'> <i>Ловкость: </i>$udata[lovk]";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';
echo"<img src='pic/123/intel.png'> <i>Интелект: </i>$udata[um]";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';
echo"<img src='pic/123/voor.png'> <i>Физ. Защита: </i>$udata[prot]";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Крит-удар: </i>$udata[krit]%";if($udata[skill]>0){
echo" </a>";
}echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Крит-урон: </i>$udata[ukrit]%";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';
echo"<img src='pic/main/redball.gif'> <i>Анти-крит:</i> $udata[antikrit]%";if($udata[skill]>0){
echo"  </a>";
}echo'<br/>';
echo"<img src='pic/main/sword_.png'> <i>Урон: </i>$udata[umin]/$udata[umax] +($udata[sila])<br/>";

$pverh=$udata[prot]+$udata[pgolova];
$pcenter=$udata[prot]+$udata[pbody];
$pniz=$udata[prot]+$udata[pnogi];
echo"<img src='pic/123/um.png'> <i>Защ. головы: </i>$pverh<br/>";
echo"<img src='pic/123/voor.png'> <i>Защ. туловища: </i>$pcenter<br/>";
echo"<img src='pic/123/voor.png'> <i>Защ. ног: </i>$pniz<br/>";

echo"<br/><img src=\"pic/123/um.png\"> <a href=\"pers.php?act=mag\">Мои умения</a><br/>";
echo"<img src=\"pic/123/stat.png\"> <a href=\"pers.php?act=stats\">Статистика</a><br/>";
echo"<img src=\"pic/123/voor.png\"> <a href=\"pers.php?act=shmot\">Вооружение</a><br/>";
echo"<img src=\"pic/123/pismo.png\"> <a href='msg.php'>Почта</a><br/>";

////////////////////
}elseif($_GET[act]==skill){
switch($_GET[what]){
default:
echo'Ошибка! Доступ закрыт!<br/>';
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'sila':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[sila]+1;
mysql_query("UPDATE users SET skill = '$nskill',sila='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'prot':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[prot]+1;
mysql_query("UPDATE users SET skill = '$nskill',prot='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'lovk':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[lovk]+1;
mysql_query("UPDATE users SET skill = '$nskill',lovk='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'um':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[um]+1;
mysql_query("UPDATE users SET skill = '$nskill',um='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'krit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[krit]+1;
mysql_query("UPDATE users SET skill = '$nskill',krit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'ukrit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[ukrit]+1;
mysql_query("UPDATE users SET skill = '$nskill',ukrit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'antikrit':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[antikrit]+1;
mysql_query("UPDATE users SET skill = '$nskill',antikrit='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'hp':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[hpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',hpall='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
case 'mp':
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[mpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',mpall='$nparm' WHERE `usr` = '$log'");
echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков опыта!<br/>';
}
echo"<a href=\"pers.php?\">Назад</a>";
break;
}
}
elseif($_GET[act]==shmot){
//Шмот

echo"<b>Снаряжение:</b><br/>";
$i=1;
while($i<=10){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '6':
$tip='Пояс';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;
}
if($gt!='kolco'){
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";
}else{
$mag = mysql_fetch_array($req);
echo" <a href='inventar.php?mod=info&amp;id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]
<br/>";
}}else{
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Кольцо: Пусто<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==1){
$mag = mysql_fetch_array($req);
echo"Кольцо: <a href='inventar.php?mod=info&amp;id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==2){
While($best = mysql_fetch_array($req))
{
echo"Кольцо: <a href='inventar.php?mod=info&amp;id=$best[id]'><b>$best[name]</b></a> [<a href='snyat.php?tip=$gt&amp;id=$best[id]'><font color='red'>X</font></a>]<br/>";
}
}
}
$i++;
}



//Конец
}
elseif($_GET[act]==stats){
echo"<b>Статистика:</b><br/>
<b>СЛАВА: $udata[slava]</b><br/>
Предательства: $udata[predatel]<br/>
Побед на арене: $udata[arenawins]<br/>
Поражений на арене: $udata[arenaloses]<br/>
Побед: $udata[wins]<br/>
Поражений: $udata[loses]";

}
elseif($_GET[act]==mag){
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
if(mysql_num_rows($req)>=1)
{
While($mag = mysql_fetch_array($req))
{
$maglvl=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$maglvl];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$maglvl];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$maglvl];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$maglvl];//+урон
echo'<div class="event">';
echo"<b>$mag[name]:</b><br/>";
echo"Уровень: $mag[lvl]<br/>";
echo"Класс: ";
if($mag[klas]=="wizard"){echo"Маг<br/>";}
if($mag[klas]=="fighert"){echo"Воин<br/>";}
echo"Урон: $mag[uron]<br/>";
echo"Забирает маны: $mag[mp]<br/>";
echo"Забирает здоровья: $mag[hp]<br/>";
echo"Даёт здоровья: $mag[plushp]</div>";
}
}else{
echo '<b>Нет умений!</b>';
}
echo"<a href=\"pers.php?\">Назад</a>";
}
else{
echo'Ошибка';
}
include($path.'files/down.php');
?>
